#!/bin/bash

# delete old csv-file
rm out.csv

# for every line in in.csv

for i in `cat in.csv`
do
	i=${i//\"/}					# delete all quote-char
	inpdf=${i%%;*}					# string before ;
	outpng=${i##*;}					# strinf after ;
	echo "### $inpdf" >> out.csv			# append pdfname to out.csv
	pdfimages -list $inpdf >> out.csv		# append image list to out.csv
	pdfimages -j -png $inpdf $outpng		# extract all images; prefer jpg format, fallback png format
done

